package com.mmc.iuav.user.dao.fdd;

import com.mmc.iuav.user.entity.fdd.FddVerifyInfoDO;
import com.mmc.iuav.user.entity.fdd.UserFddDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * author:zhenjie
 * Date:2022/9/1
 * time:15:46
 */
@Mapper
public interface UserFddAuthDao {
    UserFddDO checkRegisterFdd(String unionId, Integer flag);

    void insertAppUserFdd(UserFddDO userFddDO);

    FddVerifyInfoDO getVerifyUrl(String customerId);

    void insertVerifyInfo(FddVerifyInfoDO verifyInfoDO1);

    void updateCompanyCertStatus(String customerId, String status);

    UserFddDO getAppUserFddInfo(String unionId);

    void updatePersonCertStatus(String customerId, String status);

//    void insertAppUserFdd(UserFddDO appUserFddDO1);
//
//    AppEVerifyInfoDO getCompanyVerifyUrl(String customerId);
//
//    void insertAppEVerifyInfo(AppEVerifyInfoDO appEVerifyInfoDO1);
//
//    void updateCompanyCertStatus(String customerId, String status);
//
//
//    List<UserFddDO> feignGetAppUserFddInfo(List<String> unionIds);
//
//    UserFddDO getAppUserFddInfoByCustomerId(String customerId);
}
